# HG changeset patch
# Node ID c1e0f916b22436fca3024a4368eaee0d7e94784e
# Parent  51a0fe1e25004fbdfd720c053ea248ebbf46d7a0
diff --git a/README b/README
--- a/README
+++ b/README
@@ -18,6 +18,36 @@
 
 ## Building
 
+There are two main ways you can build Pidgin. If you are on Linux you may use
+[Flatpak](https://www.flatpak.org/) to get going quickly. The other option is
+to do a normal build.
+
+### Flatpak
+
+Building with Flatpak is very straight forward. To get started you'll need to
+make sure that you have the `flatpak` and `flatpak-builder` packages installed
+for your distribution. You may find the official
+[Flatpak Setup page](https://flathub.org/setup) useful here, unfortunately they
+don't mention flatpak builder.
+
+Next, you'll need to make sure you have the org.gnome.Sdk installed. You can
+install it system wide or just for your user, but the command below will
+install for your user.
+
+```
+flatpak install --user org.gnome.Sdk//46
+```
+
+Finally, you can build and install Pidgin3 with this command:
+
+```
+flatpak-builder --user --force-clean build-flatpak --install im.pidgin.Pidgin3.yml
+```
+
+Once that's successful, you can run it with `flatpak run im.pidgin.Pidgin3`
+
+### Meson
+
 Pidgin uses [Meson](https://mesonbuild.com) as its build system. There is a
 long list of dependencies that is not currently documented here due to
 differences in package names across operating systems. We plan to fix this
@@ -46,8 +76,6 @@
 meson configure -Ddebug=true
 ```
 
-## Installing/Running
-
 Previously while developing in our code base you would need to install
 everything to be able to run or test anything. With meson this is no longer the
 case. You can compile via the steps above, and then run directly from the build
diff --git a/im.pidgin.Pidgin3.yml b/im.pidgin.Pidgin3.yml
new file mode 100644
--- /dev/null
+++ b/im.pidgin.Pidgin3.yml
@@ -0,0 +1,89 @@
+id: im.pidgin.Pidgin3
+runtime: org.gnome.Platform
+runtime-version: '46'
+sdk: org.gnome.Sdk
+command: pidgin3
+separate-locales: false
+tags:
+  - dev
+modules:
+  - name: libidn
+    buildsystem: autotools
+    sources:
+      - type: archive
+        url: https://ftp.gnu.org/gnu/libidn/libidn-1.42.tar.gz
+        sha256: d6c199dcd806e4fe279360cb4b08349a0d39560ed548ffd1ccadda8cdecb4723
+  - name: birb
+    buildsystem: meson
+    config-opts:
+      - "-Ddoc=false"
+      - "--wrap-mode=nofallback"
+    sources:
+      - type: archive
+        archive-type: tar-xz
+        url: https://sourceforge.net/projects/pidgin/files/birb/0.2.0/birb-0.2.0-dev.tar.xz/download
+        sha256: b4c24426a6c9aeb959a7a8d60d31def8e90cfb17680c90a0cc54d582789ecc38
+  - name: hasl
+    buildsystem: meson
+    config-opts:
+      - "-Ddoc=false"
+      - "--wrap-mode=nofallback"
+    sources:
+      - type: archive
+        archive-type: tar-xz
+        url: https://sourceforge.net/projects/pidgin/files/hasl/0.3.1/hasl-0.3.1.tar.xz/download
+        sha256: 8d3e70fe19c679b335beb51127e1022aaa01b7e80100a5ccf149ee058c39981b
+  - name: ibis
+    buildsystem: meson
+    config-opts:
+      - "-Ddoc=false"
+      - "--wrap-mode=nofallback"
+    sources:
+      - type: archive
+        archive-type: tar-xz
+        url: https://sourceforge.net/projects/pidgin/files/ibis/0.6.0/ibis-0.6.0.tar.xz/download
+        sha256: 6e2fc0db2678ec5bdfcea218112895612c31b755a8f8aeab578929fd8c30f59f
+  - name: xeme
+    buildsystem: meson
+    config-opts:
+      - "-Ddoc=false"
+      - "--wrap-mode=nofallback"
+    sources:
+      - type: archive
+        archive-type: tar-gzip
+        url: https://keep.imfreedom.org/xeme/xeme/archive/5d0707ab10a2.tar.gz
+        sha256: eabb0f88fdc54775e9aab63d277d0d0cf54c456ee09580d45bd516d1117088da
+  - name: gplugin
+    buildsystem: meson
+    config-opts:
+      - "-Ddoc=false"
+      - "-Dlua=false"
+      - "-Dpython3=false"
+      - "--wrap-mode=nofallback"
+    sources:
+      - type: archive
+        archive-type: tar-xz
+        url: https://sourceforge.net/projects/pidgin/files/gplugin/0.44.0/gplugin-0.44.0.tar.xz/download
+        sha256: 082028aa97fd63f1a12c9a65fa6fd84b3c6fc87e0e6475577bb7d4cfe555a12b
+  - name: pidgin3
+    buildsystem: meson
+    config-opts:
+      - "-Ddoc=false"
+      - "--wrap-mode=nofallback"
+    sources:
+      - type: dir
+        path: .
+finish-args:
+  # X11 + XShm access
+  - "--share=ipc"
+  - "--socket=fallback-x11"
+  # Wayland access
+  - "--socket=wayland"
+  # GPU acceleration if needed
+  - "--device=dri"
+  # Needs to talk to the network:
+  - "--share=network"
+  # Needs to save files locally
+  - "--filesystem=xdg-documents"
+  # Audio
+  - "--socket=pulseaudio"
diff --git a/pidgin/data/im.pidgin.Pidgin3.metainfo.xml b/pidgin/data/im.pidgin.Pidgin3.metainfo.xml
--- a/pidgin/data/im.pidgin.Pidgin3.metainfo.xml
+++ b/pidgin/data/im.pidgin.Pidgin3.metainfo.xml
@@ -13,6 +13,8 @@
     <name>The Pidgin Team</name>
   </developer>
 
+  <translation type="gettext">pidgin</translation>
+
   <supports>
     <control>pointing</control>
     <control>keyboard</control>
@@ -33,6 +35,11 @@
     </p>
   </description>
 
+  <branding>
+    <color type="primary" scheme_preference="light">#794a85</color>
+    <color type="primary" scheme_preference="dark">#e15694</color>
+  </branding>
+
   <keywords>
     <keyword translate="no">Bonjour</keyword>
     <keyword translate="no">IRC</keyword>
@@ -64,6 +71,41 @@
 
   <launchable type="desktop-id">im.pidgin.Pidgin3.desktop</launchable>
 
+  <screenshots>
+    <screenshot style="gnome" type="default">
+      <image>https://data.imfreedom.org/public/pidgin/screenshots/light/contacts.png</image>
+      <caption>Contact list</caption>
+    </screenshot>
+    <screenshot style="gnome">
+      <image>https://data.imfreedom.org/public/pidgin/screenshots/light/conversation.png</image>
+      <caption>Conversation</caption>
+    </screenshot>
+    <screenshot style="gnome">
+      <image>https://data.imfreedom.org/public/pidgin/screenshots/light/notifications.png</image>
+      <caption>Notifications</caption>
+    </screenshot>
+    <screenshot style="gnome">
+      <image>https://data.imfreedom.org/public/pidgin/screenshots/light/plugins.png</image>
+      <caption>Plugins</caption>
+    </screenshot>
+    <screenshot style="gnome:dark" type="default">
+      <image>https://data.imfreedom.org/public/pidgin/screenshots/dark/contacts.png</image>
+      <caption>Contact list</caption>
+    </screenshot>
+    <screenshot style="gnome:dark">
+      <image>https://data.imfreedom.org/public/pidgin/screenshots/dark/conversation.png</image>
+      <caption>Conversation</caption>
+    </screenshot>
+    <screenshot style="gnome:dark">
+      <image>https://data.imfreedom.org/public/pidgin/screenshots/dark/notifications.png</image>
+      <caption>Notifications</caption>
+    </screenshot>
+    <screenshot style="gnome:dark">
+      <image>https://data.imfreedom.org/public/pidgin/screenshots/dark/plugins.png</image>
+      <caption>Plugins</caption>
+    </screenshot>
+  </screenshots>
+
   <url type="bugtracker">https://issues.imfreedom.org/</url>
   <url type="contact">https://pidgin.im/contact/</url>
   <url type="contribute">https://docs.imfreedom.org/contributors-guide/</url>
@@ -80,16 +122,11 @@
     <content_attribute id="social-contacts">intense</content_attribute>
   </content_rating>
 
-  <!-- kudos come from GNOME Software and is non standard so appstreamcli
-       throws a warning about it.
-
-       https://github.com/endlessm/gnome-software/blob/master/doc/kudos.md
-    -->
-  <kudos>
-    <kudo>ModernToolkit</kudo>
-  </kudos>
-
   <releases>
+    <release version="3.0.0-experimental" date="2038-08-22" type="snapshot"/>
+    <release version="2.14.13" date="2024-02-23">
+      <url>https://sourceforge.net/projects/pidgin/files/Pidgin/2.14.13/</url>
+    </release>
     <release version="2.14.12" date="2022-12-31">
       <url>https://sourceforge.net/projects/pidgin/files/Pidgin/2.14.12/</url>
     </release>
@@ -377,6 +414,9 @@
     <release version="0.45" date="2001-10-04"/>
     <release version="0.44" date="2001-09-20"/>
     <release version="0.43" date="2001-09-06"/>
+    <!--
+      These cause issues with old versions of flatpak so we're just commenting
+      them out for now.
     <release version="0.11.0-pre15" date="2001-08-28"/>
     <release version="0.11.0-pre14" date="2001-06-17"/>
     <release version="0.11.0-pre13" date="2001-06-06"/>
@@ -390,6 +430,7 @@
     <release version="0.11.0-pre3" date="2000-12-15"/>
     <release version="0.11.0-pre2" date="2000-12-04"/>
     <release version="0.11.0-pre1" date="2000-12-03"/>
+    -->
     <release version="0.10.3" date="2000-10-09"/>
     <release version="0.10.2" date="2000-10-07"/>
     <release version="0.10.1" date="2000-09-15"/>
